﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace DBShardTools.Core
{
    public interface IConnection
    {
        /// <summary>
        /// 连接标识
        /// </summary>
        int Id { get; set; }
        /// <summary>
        /// 连接名称
        /// </summary>
        string Name { get; set; }
        /// <summary>
        /// 数据库类型
        /// </summary>
        string DatabaseType { get; set; }
        /// <summary>
        /// 主机名称
        /// </summary>
        string Host { get; set; }
        /// <summary>
        /// 端口
        /// </summary>
        int Port { get; set; }
        /// <summary>
        /// 用户名
        /// </summary>
        string UserName { get; set; }
        /// <summary>
        /// 密码
        /// </summary>
        string Password { get; set; }
        /// <summary>
        /// 数据库名称
        /// </summary>
        string Database { get; set; }
    }
}
