﻿using System;
using System.Collections;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace DBShardTools.Core
{
    public class  MySqlConnectionStringBuilder : IConnectionStringBuilder
    {
        public string BuildConnectionString(IPersister persister)
        {
            StringBuilder sbConnectionString = new StringBuilder(50);
            sbConnectionString.AppendFormat("Host={0};", persister.Host);
            sbConnectionString.AppendFormat("Port={0};", persister.Port);
            sbConnectionString.AppendFormat("UserName={0};", persister.UserName);
            sbConnectionString.AppendFormat("Password={0};", persister.Password);
            sbConnectionString.AppendFormat("Database={0};", persister.Database);
            if (sbConnectionString.Length != 0)
                return sbConnectionString.ToString().TrimEnd(';');
            return sbConnectionString.ToString();
        }
    }
}
