﻿using System;
using System.Collections.Generic;

namespace DBShardTools.Core
{
    public class NameStrategy : INameStrategy
    {
        private readonly int _startIndex;
        private readonly int _endIndex;
        private readonly int _toBase;
        private readonly int _totalWidth;
        public NameStrategy(int startIndex, int endIndex, int toBase, int totalWidth)
        {
            _startIndex = startIndex;
            _endIndex = endIndex;
            _toBase = toBase;
            _totalWidth = totalWidth;

        }
        public string[] GetTableNumbers()
        {
            List<string> tableNames = new List<string>();
            for (int i = _startIndex; i <= _endIndex; i++)
            {
                tableNames.Add(Convert.ToString(i, _toBase).PadLeft(_totalWidth, '0'));
            }
            return tableNames.ToArray();
        }
    }
}