﻿using System.Text;

namespace DBShardTools.Core
{
    public class SqlConnectionStringBuilder : IConnectionStringBuilder
    {
        public string BuildConnectionString(IPersister persister)
        {
            StringBuilder sbConnectionString = new StringBuilder(50);
            sbConnectionString.AppendFormat("Data Source={0},{1};", persister.Host, persister.Port);
            sbConnectionString.AppendFormat("User Id={0};", persister.UserName);
            sbConnectionString.AppendFormat("Password={0};", persister.Password);
            sbConnectionString.AppendFormat("Initial Catalog={0};", persister.Database);
            if (sbConnectionString.Length != 0)
                return sbConnectionString.ToString().TrimEnd(';');
            return sbConnectionString.ToString();
        }
    }
}
