﻿using System;
using DBShardTools.Core;
using NUnit.Framework;

namespace DBShardTools.UnitTest
{
    [TestFixture]
    public class MySqlPersisterTest
    {
        [Test]
        public void TestGetCreateTableDdl()
        {
            IPersister persister = new MySqlPersister();
            
            persister.UserName = "root";
            persister.Password = "root";
            persister.Database = "bklog";
            string createTableddl = persister.GetCreateTableDdl("operationlog");
            Assert.IsNotNullOrEmpty(createTableddl);
            Console.WriteLine(createTableddl);

        }
        [Test]
        public void TestGetTables()
        {
            IPersister persister = new MySqlPersister();

            persister.UserName = "root";
            persister.Password = "root";
            persister.Database = "bklog";
            string[] tables = persister.GetTables();
            Assert.IsNotNull(tables);
            Console.WriteLine(tables[0]);
        }
    }
}
